For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTConfigure webhook from documentation
      • POSTInfer schema from JSON payload
      • POSTToggle webhook learning mode
      • GETGet webhook field mappings
      • PUTUpdate webhook field mappings
      • GETList webhook observations
      • DELClear webhook observations
      • GETGet event routing configuration
      • PUTUpdate event routing configuration
      • GETGet webhook schema
      • POSTUpload webhook schema
      • POSTConfirm proposed schema
Dashboard
LogoLogo
Runtype APIWebhook Management

Confirm proposed schema

POST
/v1/products/:id/surfaces/:surfaceId/webhook-schema/confirm
POST
/v1/products/:id/surfaces/:surfaceId/webhook-schema/confirm
$curl -X POST https://api.runtype.com/v1/products/id/surfaces/surfaceId/webhook-schema/confirm \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "learningState": "active",
3 "schemaConfirmedAt": "2024-06-10T09:45:00Z"
4}
Confirm the proposed schema, making the webhook surface active.
Was this page helpful?
Previous

A2A JSON-RPC endpoint

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired
Product ID
surfaceIdstringRequired
Surface ID

Response

Schema confirmed
learningStatestring
schemaConfirmedAtstring
confirmedSchemaany

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error